Update to latest I-build.

This commit is contained in:
Alexander Kurtakov 2014-05-27 08:37:15 +03:00
parent 77e4a86271
commit 03f33d1f12
8 changed files with 283 additions and 280 deletions

View File

@ -54,39 +54,36 @@
id="org.eclipse.pde.api.tools.ee.feature"
version="0.0.0" />
<bundle
--- eclipse.platform.releng.tychoeclipsebuilder/eclipse.platform.repository/pom.xml.orig 2014-04-22 19:03:35.892068026 +0100
+++ eclipse.platform.releng.tychoeclipsebuilder/eclipse.platform.repository/pom.xml 2014-04-22 20:57:26.452911355 +0100
@@ -126,33 +126,12 @@
<layout>p2-metadata</layout>
<!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->
--- eclipse.platform.releng.tychoeclipsebuilder/eclipse.platform.repository/pom.xml.orig 2014-05-26 18:59:41.877846054 +0300
+++ eclipse.platform.releng.tychoeclipsebuilder/eclipse.platform.repository/pom.xml 2014-05-26 19:06:27.070278740 +0300
@@ -128,30 +128,10 @@
</repository>
-
- <repository>
<repository>
- <url>${project.baseUri}/../rcp/target/repository</url>
- <layout>p2</layout>
- <!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->
- <!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->
- </repository>
- <repository>
- <url>${project.baseUri}/../rcp.sdk/target/repository</url>
- <layout>p2</layout>
- <!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->
- <!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->
- </repository>
<repository>
- <repository>
<url>${project.baseUri}/../platform/target/repository</url>
<layout>p2</layout>
<!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->
<!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->
</repository>
<repository>
- <repository>
- <url>${project.baseUri}/../platform.sdk/target/repository</url>
- <layout>p2</layout>
- <!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->
- <!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->
- </repository>
- <repository>
- <url>${project.baseUri}/../sdk/target/repository</url>
- <layout>p2</layout>
- <!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->
- <!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->
- </repository>
- <repository>
<repository>
<url>${project.baseUri}/../eclipse-junit-tests/target/repository</url>
<layout>p2</layout>
<!-- supported layouts are "p2-metadata", "p2-artifacts", and "p2" (for joint repositories; default) -->

View File

@ -103,28 +103,6 @@
- plugin@org.w3c.css.sac.source;version=1.3.1.qualifier;unpack="false"
+generate.feature@org.eclipse.e4.rcp.source=org.eclipse.e4.rcp
\ No newline at end of file
--- eclipse.platform.ui/features/org.eclipse.e4.rcp/pom.xml.bak 2013-03-14 11:35:02.000000000 +0100
+++ eclipse.platform.ui/features/org.eclipse.e4.rcp/pom.xml 2013-03-14 12:53:51.015502076 +0100
@@ -72,6 +72,19 @@
<plugin id="org.w3c.css.sac"/>
<plugin id="org.w3c.dom.smil"/>
<plugin id="org.w3c.dom.svg"/>
+ <plugin id="org.apache.geronimo.specs.geronimo-annotation_1.1_spec" />
+ <plugin id="org.apache.felix.gogo.command" />
+ <plugin id="javax.inject" />
+ <plugin id="com.ibm.icu"/>
+ <plugin id="org.apache.felix.gogo.runtime" />
+ <plugin id="org.apache.felix.gogo.shell" />
+ <plugin id="org.eclipse.equinox.launcher.gtk.linux.arm" />
+ <plugin id="org.eclipse.equinox.launcher.gtk.linux.aarch64" />
+ <plugin id="org.eclipse.equinox.launcher.gtk.linux.ppc64le" />
+ <plugin id="org.eclipse.swt.win32.win32.x86" />
+ <plugin id="org.eclipse.swt.win32.win32.x86_64" />
+ <plugin id="org.eclipse.swt.cocoa.macosx.x86_64" />
+ <plugin id="org.eclipse.e4.ui.workbench.renderers.swt.cocoa" />
</excludes>
</configuration>
</execution>
--- eclipse.platform.releng/features/org.eclipse.platform-feature/pom.xml.orig 2014-03-24 12:58:43.355826288 +0000
+++ eclipse.platform.releng/features/org.eclipse.platform-feature/pom.xml 2014-03-24 13:04:46.463916138 +0000
@@ -75,6 +75,12 @@
@ -202,3 +180,36 @@
+generate.feature@org.eclipse.help.source=org.eclipse.help
+
generatedVersionLength=45
--- eclipse.platform.ui/features/org.eclipse.e4.rcp/pom.xml.orig 2014-05-26 18:37:25.406426611 +0300
+++ eclipse.platform.ui/features/org.eclipse.e4.rcp/pom.xml 2014-05-26 18:37:47.327449374 +0300
@@ -54,6 +54,30 @@
<plugin id="org.eclipse.equinox.launcher.gtk.hpux.ia64"/>
<plugin id="org.eclipse.equinox.launcher.win32.win32.x86"/>
<plugin id="org.eclipse.equinox.launcher.win32.win32.x86_64"/>
+ <plugin id="org.apache.geronimo.specs.geronimo-annotation_1.1_spec" />
+ <plugin id="org.apache.felix.gogo.command" />
+ <plugin id="org.apache.batik.css" />
+ <plugin id="org.w3c.css.sac" />
+ <plugin id="org.apache.batik.util" />
+ <plugin id="org.apache.batik.util.gui" />
+ <plugin id="org.w3c.dom.svg" />
+ <plugin id="javax.inject" />
+ <plugin id="com.ibm.icu"/>
+ <plugin id="org.apache.felix.gogo.runtime" />
+ <plugin id="org.apache.felix.gogo.shell" />
+ <plugin id="org.eclipse.equinox.launcher.gtk.linux.arm" />
+ <plugin id="org.eclipse.equinox.launcher.gtk.linux.aarch64" />
+ <plugin id="org.eclipse.equinox.launcher.gtk.linux.ppc64le" />
+ <plugin id="org.eclipse.swt.win32.win32.x86" />
+ <plugin id="org.eclipse.swt.win32.win32.x86_64" />
+ <plugin id="org.eclipse.swt.cocoa.macosx.x86_64" />
+ <plugin id="org.eclipse.swt.gtk.solaris.sparc" />
+ <plugin id="org.eclipse.swt.gtk.solaris.x86" />
+ <plugin id="org.eclipse.swt.cocoa.macosx" />
+ <plugin id="org.eclipse.swt.gtk.aix.ppc" />
+ <plugin id="org.eclipse.swt.gtk.aix.ppc64" />
+ <plugin id="org.eclipse.swt.gtk.hpux.ia64" />
+ <plugin id="org.eclipse.e4.ui.workbench.renderers.swt.cocoa" />
</excludes>
</configuration>
</execution>

View File

@ -1,6 +1,6 @@
--- eclipse-platform-parent/pom.xml.orig 2014-03-12 10:25:46.000000000 +0000
+++ eclipse-platform-parent/pom.xml 2014-03-12 12:12:56.387914854 +0000
@@ -308,7 +308,7 @@
--- eclipse-platform-parent/pom.xml.orig 2014-05-26 17:04:22.000000000 +0300
+++ eclipse-platform-parent/pom.xml 2014-05-26 18:57:29.044704226 +0300
@@ -332,7 +332,7 @@
<artifactId>tycho-packaging-plugin</artifactId>
<version>${tycho.version}</version>
<dependencies>
@ -9,12 +9,12 @@
<groupId>org.eclipse.tycho.extras</groupId>
<artifactId>tycho-buildtimestamp-jgit</artifactId>
<version>${tycho-extras.version}</version>
@@ -317,19 +317,19 @@
@@ -341,19 +341,19 @@
<groupId>org.eclipse.tycho.extras</groupId>
<artifactId>tycho-sourceref-jgit</artifactId>
<version>${tycho-extras.version}</version>
- </dependency>
+ </dependency -->
+ </dependency-->
</dependencies>
<configuration>
<strictBinIncludes>false</strictBinIncludes>
@ -22,7 +22,7 @@
- <timestampProvider>jgit</timestampProvider>
+ <!--timestampProvider>jgit</timestampProvider-->
<jgit.ignore>
pom.xml
pom.xml
</jgit.ignore>
<jgit.dirtyWorkingTree>${jgit.dirtyWorkingTree}</jgit.dirtyWorkingTree>
- <sourceReferences>
@ -31,5 +31,5 @@
- </sourceReferences>
+ </sourceReferences-->
<archive>
<addMavenDescriptor>false</addMavenDescriptor>
<addMavenDescriptor>false</addMavenDescriptor>
</archive>

View File

@ -99,82 +99,6 @@ index 80a32e4..85de879 100644
root.linux.gtk.x86=rootfiles/linux.gtk.x86,../../rt.equinox.binaries/org.eclipse.equinox.executable/bin/gtk/linux/x86
root.linux.gtk.x86.permissions.755=libcairo-swt.so,eclipse
root.linux.gtk.ppc=rootfiles/linux.gtk.ppc64,../../rt.equinox.binaries/org.eclipse.equinox.executable/bin/gtk/linux/ppc
diff --git a/eclipse.platform.releng.tychoeclipsebuilder/rcp.config/pom.xml b/eclipse.platform.releng.tychoeclipsebuilder/rcp.config/pom.xml
index bb03da8..257d417 100644
--- a/eclipse.platform.releng.tychoeclipsebuilder/rcp.config/pom.xml
+++ b/eclipse.platform.releng.tychoeclipsebuilder/rcp.config/pom.xml
@@ -19,6 +19,44 @@
<artifactId>maven-resources-plugin</artifactId>
<version>2.6</version>
<executions>
+ <execution>
+ <id>copy-resources-gtk.linux.aarch64</id>
+ <phase>validate</phase>
+ <goals>
+ <goal>copy-resources</goal>
+ </goals>
+ <configuration>
+ <outputDirectory>${basedir}/target/resources/linux.gtk.aarch64</outputDirectory>
+ <resources>
+ <resource>
+ <directory>../../eclipse.platform.swt.binaries/bundles/org.eclipse.swt.gtk.linux.aarch64</directory>
+ <includes>
+ <include>about_files/*</include>
+ <include>about.html</include>
+ </includes>
+ </resource>
+ </resources>
+ </configuration>
+ </execution>
+ <execution>
+ <id>copy-resources-gtk.linux.arm</id>
+ <phase>validate</phase>
+ <goals>
+ <goal>copy-resources</goal>
+ </goals>
+ <configuration>
+ <outputDirectory>${basedir}/target/resources/linux.gtk.arm</outputDirectory>
+ <resources>
+ <resource>
+ <directory>../../eclipse.platform.swt.binaries/bundles/org.eclipse.swt.gtk.linux.arm</directory>
+ <includes>
+ <include>about_files/*</include>
+ <include>about.html</include>
+ </includes>
+ </resource>
+ </resources>
+ </configuration>
+ </execution>
<execution>
<id>copy-resources-gtk.linux.x86</id>
<phase>validate</phase>
@@ -91,6 +129,26 @@
</directory>
<includes>
<include>about_files/*</include>
+ <include>about.html</include>
+ </includes>
+ </resource>
+ </resources>
+ </configuration>
+ </execution>
+ <execution>
+ <id>copy-resources-gtk.linux.ppc64le</id>
+ <phase>validate</phase>
+ <goals>
+ <goal>copy-resources</goal>
+ </goals>
+ <configuration>
+ <outputDirectory>${basedir}/rootfiles/linux.gtk.ppc64le</outputDirectory>
+ <resources>
+ <resource>
+ <directory>../../eclipse.platform.swt.binaries/bundles/org.eclipse.swt.gtk.linux.ppc64le
+ </directory>
+ <includes>
+ <include>about_files/*</include>
<include>about.html</include>
</includes>
</resource>
diff --git a/eclipse.platform.swt.binaries/pom.xml b/eclipse.platform.swt.binaries/pom.xml
index 7dd0536..66d79ee 100644
--- a/eclipse.platform.swt.binaries/pom.xml
@ -556,3 +480,70 @@ index fac13bf..e487001 100644
<profile>
<id>build-native-launchers-win32.win32.x86_64</id>
<activation>
--- a/eclipse.platform.releng.tychoeclipsebuilder/rcp.config/pom.xml 2014-05-26 19:20:28.958177815 +0300
+++ b/eclipse.platform.releng.tychoeclipsebuilder/rcp.config/pom.xml 2014-05-26 19:33:42.942025740 +0300
@@ -30,6 +30,64 @@
<version>2.6</version>
<executions>
<execution>
+ <id>copy-resources-gtk.linux.aarch64</id>
+ <phase>validate</phase>
+ <goals>
+ <goal>copy-resources</goal>
+ </goals>
+ <configuration>
+ <outputDirectory>${basedir}/target/resources/linux.gtk.aarch64</outputDirectory>
+ <resources>
+ <resource>
+ <directory>../../eclipse.platform.swt.binaries/bundles/org.eclipse.swt.gtk.linux.aarch64</directory>
+ <includes>
+ <include>about_files/*</include>
+ <include>about.html</include>
+ </includes>
+ </resource>
+ </resources>
+ </configuration>
+ </execution>
+ <execution>
+ <id>copy-resources-gtk.linux.arm</id>
+ <phase>validate</phase>
+ <goals>
+ <goal>copy-resources</goal>
+ </goals>
+ <configuration>
+ <outputDirectory>${basedir}/target/resources/linux.gtk.arm</outputDirectory>
+ <resources>
+ <resource>
+ <directory>../../eclipse.platform.swt.binaries/bundles/org.eclipse.swt.gtk.linux.arm</directory>
+ <includes>
+ <include>about_files/*</include>
+ <include>about.html</include>
+ </includes>
+ </resource>
+ </resources>
+ </configuration>
+ </execution>
+ <execution>
+ <id>copy-resources-gtk.linux.ppc64le</id>
+ <phase>validate</phase>
+ <goals>
+ <goal>copy-resources</goal>
+ </goals>
+ <configuration>
+ <outputDirectory>${basedir}/rootfiles/linux.gtk.ppc64le</outputDirectory>
+ <resources>
+ <resource>
+ <directory>../../eclipse.platform.swt.binaries/bundles/org.eclipse.swt.gtk.linux.ppc64le
+ </directory>
+ <includes>
+ <include>about_files/*</include>
+ <include>about.html</include>
+ </includes>
+ </resource>
+ </resources>
+ </configuration>
+ </execution>
+ <execution>
<id>copy-resources-gtk.linux.x86</id>
<phase>validate</phase>
<goals>

View File

@ -1,158 +1,3 @@
--- eclipse.platform.releng.tychoeclipsebuilder/eclipse-junit-tests/src/main/scripts/runtests.sh.bak 2013-03-14 11:05:42.000000000 +0100
+++ eclipse.platform.releng.tychoeclipsebuilder/eclipse-junit-tests/src/main/scripts/runtests.sh 2013-03-14 13:31:19.161559741 +0100
@@ -1,5 +1,72 @@
#!/usr/bin/env bash
+function findXvncAndSetDisplay() {
+# if [ ${headless} == 1 ]; then
+ # Try to find Xvnc
+ xvnc=
+ if [ -a /usr/bin/Xvnc ]
+ then
+ xvnc=/usr/bin/Xvnc
+ setupXvnc
+ else
+ if [ -a /usr/X11/bin/Xvnc ]
+ then
+ xvnc=/usr/X11/bin/Xvnc
+ setupXvnc
+ else
+ echo "Couldn't find Xvnc (/usr/bin/Xvnc or /usr/X11/bin/Xvnc). Using DISPLAY=0:0"
+ DISPLAY=`$HOST`:0.0
+ fi
+ fi
+ export DISPLAY
+# fi
+}
+
+function setupXvnc() {
+ # Pick a high display number.
+ port=`expr '(' $RANDOM '*' 9 / 32767 ')' + 58`
+ echo localhost > Xvnc.cfg
+ echo "Setting up Xvnc on port ${port} with password VNCpassword1"
+ $xvnc :$port -screen 1 1024x768x32 -auth Xvnc.cfg -localhost -PasswordFile eclipse-tests-vncpwd &> Xvnc.log &
+ Xvncpid=$!
+ DISPLAY=`$HOST`:$port
+}
+
+function setArch() {
+ if [ "x$buildArch" = "x" ]
+ then
+ if uname -m > /dev/null 2>&1; then
+ arch=`uname -m`
+ else
+ arch=`uname -p`
+ fi
+ # Massage arch for Eclipse-uname differences
+ case $arch in
+ i[0-9]*86)
+ arch=x86 ;;
+ ia64)
+ arch=ia64 ;;
+ ppc)
+ arch=ppc ;;
+ x86_64)
+ arch=x86_64 ;;
+ *)
+ echo "Unrecognized architecture: $arch" 1>&2
+ exit 1 ;;
+ esac
+ echo >&2 "Architecture not specified. Assuming host architecture: $arch"
+ fi
+}
+
+function cleanupXvnc() {
+ # Clean up if we used Xvnc
+ if [ -e Xvnc.cfg ]
+ then
+ kill $Xvncpid
+ rm Xvnc.cfg
+ fi
+}
+
# This file should never exist or be needed for production machine,
# but allows an easy way for a "local user" to provide this file
# somewhere on the search path ($HOME/bin is common),
@@ -92,59 +159,30 @@
#necessary when invoking this script through rsh
cd $dir
+ mkdir -p /tmp/eclipse-tests-directory
+ pushd /tmp/eclipse-tests-directory
+ rm -rf *
+ cp ${testslocation}/*.properties .
+ cp ${testslocation}/library.xml .
if [ ! -r eclipse ]
then
- tar -xzf eclipse-SDK-*.tar.gz
- # note, the file pattern to match, must not start with */plugins because there is no leading '/' in the zip file, since they are repos.
- unzip -qq -o -C eclipse-junit-tests-*.zip plugins/org.eclipse.test* -d eclipse/dropins/
+ pushd @libdir@
+ tar czf /tmp/eclipse-tests-directory/eclipse-SDK-temp-linux-gtk-x86_64.tar.gz eclipse
+ popd
+ cp -rf @libdir@/eclipse eclipse
fi
# run tests
launcher=`ls eclipse/plugins/org.eclipse.equinox.launcher_*.jar`
+findXvncAndSetDisplay
+setArch
+export ANT_HOME=@USR@/share/ant
+@USR@/bin/./ant \
+-file "${testslocation}/test.xml" $tests \
+-Dws=$ws -Dos=$os -Darch=$arch -Dos.arch=$arch \
+-DbuildId=v20120903-1347 -Dbasedir="/tmp/eclipse-tests-directory" \
+-DruntimeArchive="eclipse-SDK-temp-linux-gtk-x86_64.tar.gz" \
+-DrepoLocation="${testslocation}" \
+-Dorg.eclipse.test="3.3.100" \
+-D$installmode=true $properties
- echo " = = = Start list environment variables in effect = = = ="
- env
- echo " = = = End list environment variables in effect = = = ="
-
- # make sure there is a window manager running. See bug 379026
- # we should not have to, but may be a quirk/bug of hudson setup
- # assuming metacity attaches to "current" display by default (which should have
- # already been set by Hudson). We echo its value here just for extra reference/cross-checks.
-
- echo "Check if any window managers are running (xfwm|twm|metacity|beryl|fluxbox|compiz):"
- wmpss=$(ps -ef | egrep -i "xfwm|twm|metacity|beryl|fluxbox|compiz" | grep -v egrep)
- echo "Window Manager processes: $wmpss"
- echo
-
- if [[ -z $wmpss ]]
- then
- echo "No window managers processes found running, so will start metacity"
- metacity --replace --sm-disable &
- METACITYPID=$!
- echo $METACITYPID > epmetacity.pid
- else
- echo "Existing window manager found running, so did not force start of metacity"
- fi
-
- echo
-
- # list out metacity processes so overtime we can see if they accumulate, or if killed automatically
- # when our process exits. If not automatic, should use epmetacity.pid to kill it when we are done.
- echo "Current metacity processes running (check for accumulation):"
- ps -ef | grep "metacity" | grep -v grep
- echo
-
- echo "Triple check if any window managers are running (at least metacity should be!):"
- wmpss=$(ps -ef | egrep -i "xfwm|twm|metacity|beryl|fluxbox|compiz" | grep -v egrep)
- echo "Window Manager processes: $wmpss"
- echo
- echo "extdirprop in runtest: ${extdirprop}"
- echo "extdirproperty in runtest: ${extdirproperty}"
-
- # -Dtimeout=300000 "${ANT_OPTS}"
- if [[ ! -z "${extdirproperty}" ]]
- then
- $vmcmd "${extdirproperty}" -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
- else
- $vmcmd -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
- fi
--- eclipse.platform.releng.tychoeclipsebuilder/eclipse-junit-tests/src/main/scripts/test.xml.orig 2014-04-01 15:02:34.500445944 +0100
+++ eclipse.platform.releng.tychoeclipsebuilder/eclipse-junit-tests/src/main/scripts/test.xml 2014-04-01 15:16:01.556714647 +0100
@@ -200,99 +200,14 @@
@ -328,3 +173,159 @@
</target>
<!--
--- eclipse.platform.releng.tychoeclipsebuilder/eclipse-junit-tests/src/main/scripts/runtests.sh.orig 2014-05-26 17:04:22.000000000 +0300
+++ eclipse.platform.releng.tychoeclipsebuilder/eclipse-junit-tests/src/main/scripts/runtests.sh 2014-05-26 19:17:46.622004452 +0300
@@ -1,5 +1,72 @@
#!/usr/bin/env bash
+function findXvncAndSetDisplay() {
+# if [ ${headless} == 1 ]; then
+ # Try to find Xvnc
+ xvnc=
+ if [ -a /usr/bin/Xvnc ]
+ then
+ xvnc=/usr/bin/Xvnc
+ setupXvnc
+ else
+ if [ -a /usr/X11/bin/Xvnc ]
+ then
+ xvnc=/usr/X11/bin/Xvnc
+ setupXvnc
+ else
+ echo "Couldn't find Xvnc (/usr/bin/Xvnc or /usr/X11/bin/Xvnc). Using DISPLAY=0:0"
+ DISPLAY=`$HOST`:0.0
+ fi
+ fi
+ export DISPLAY
+# fi
+}
+
+function setupXvnc() {
+ # Pick a high display number.
+ port=`expr '(' $RANDOM '*' 9 / 32767 ')' + 58`
+ echo localhost > Xvnc.cfg
+ echo "Setting up Xvnc on port ${port} with password VNCpassword1"
+ $xvnc :$port -screen 1 1024x768x32 -auth Xvnc.cfg -localhost -PasswordFile eclipse-tests-vncpwd &> Xvnc.log &
+ Xvncpid=$!
+ DISPLAY=`$HOST`:$port
+}
+
+function setArch() {
+ if [ "x$buildArch" = "x" ]
+ then
+ if uname -m > /dev/null 2>&1; then
+ arch=`uname -m`
+ else
+ arch=`uname -p`
+ fi
+ # Massage arch for Eclipse-uname differences
+ case $arch in
+ i[0-9]*86)
+ arch=x86 ;;
+ ia64)
+ arch=ia64 ;;
+ ppc)
+ arch=ppc ;;
+ x86_64)
+ arch=x86_64 ;;
+ *)
+ echo "Unrecognized architecture: $arch" 1>&2
+ exit 1 ;;
+ esac
+ echo >&2 "Architecture not specified. Assuming host architecture: $arch"
+ fi
+}
+
+function cleanupXvnc() {
+ # Clean up if we used Xvnc
+ if [ -e Xvnc.cfg ]
+ then
+ kill $Xvncpid
+ rm Xvnc.cfg
+ fi
+}
+
# This file should never exist or be needed for production machine,
# but allows an easy way for a "local user" to provide this file
# somewhere on the search path ($HOME/bin is common),
@@ -92,59 +159,31 @@ fi
#necessary when invoking this script through rsh
cd $dir
+ mkdir -p /tmp/eclipse-tests-directory
+ pushd /tmp/eclipse-tests-directory
+ rm -rf *
+ cp ${testslocation}/*.properties .
+ cp ${testslocation}/library.xml .
+
if [ ! -r eclipse ]
then
- tar -xzf eclipse-SDK-*.tar.gz
- # note, the file pattern to match, must not start with */plugins because there is no leading '/' in the zip file, since they are repos.
- unzip -qq -o -C eclipse-junit-tests-*.zip plugins/org.eclipse.test* -d eclipse/dropins/
+ pushd @libdir@
+ tar czf /tmp/eclipse-tests-directory/eclipse-SDK-temp-linux-gtk-x86_64.tar.gz eclipse
+ popd
+ cp -rf @libdir@/eclipse eclipse
fi
# run tests
launcher=`ls eclipse/plugins/org.eclipse.equinox.launcher_*.jar`
+findXvncAndSetDisplay
+setArch
+export ANT_HOME=@USR@/share/ant
+@USR@/bin/./ant \
+-file "${testslocation}/test.xml" $tests \
+-Dws=$ws -Dos=$os -Darch=$arch -Dos.arch=$arch \
+-DbuildId=v20120903-1347 -Dbasedir="/tmp/eclipse-tests-directory" \
+-DruntimeArchive="eclipse-SDK-temp-linux-gtk-x86_64.tar.gz" \
+-DrepoLocation="${testslocation}" \
+-Dorg.eclipse.test="3.3.100" \
+-D$installmode=true $properties
-echo " = = = Start list environment variables in effect = = = ="
-env
-echo " = = = End list environment variables in effect = = = ="
-
-# make sure there is a window manager running. See bug 379026
-# we should not have to, but may be a quirk/bug of hudson setup
-# assuming metacity attaches to "current" display by default (which should have
-# already been set by Hudson). We echo its value here just for extra reference/cross-checks.
-
-echo "Check if any window managers are running (xfwm|twm|metacity|beryl|fluxbox|compiz):"
-wmpss=$(ps -ef | egrep -i "xfwm|twm|metacity|beryl|fluxbox|compiz" | grep -v egrep)
-echo "Window Manager processes: $wmpss"
-echo
-
-if [[ -z $wmpss ]]
-then
- echo "No window managers processes found running, so will start metacity"
- metacity --replace --sm-disable &
- METACITYPID=$!
- echo $METACITYPID > epmetacity.pid
-else
- echo "Existing window manager found running, so did not force start of metacity"
-fi
-
-echo
-
-# list out metacity processes so overtime we can see if they accumulate, or if killed automatically
-# when our process exits. If not automatic, should use epmetacity.pid to kill it when we are done.
-echo "Current metacity processes running (check for accumulation):"
-ps -ef | grep "metacity" | grep -v grep
-echo
-
-echo "Triple check if any window managers are running (at least metacity should be!):"
-wmpss=$(ps -ef | egrep -i "xfwm|twm|metacity|beryl|fluxbox|compiz" | grep -v egrep)
-echo "Window Manager processes: $wmpss"
-echo
-echo "extdirprop in runtest: ${extdirprop}"
-echo "extdirproperty in runtest: ${extdirproperty}"
-
-# -Dtimeout=300000 "${ANT_OPTS}"
-if [[ ! -z "${extdirproperty}" ]]
-then
- $vmcmd "${extdirproperty}" -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
-else
- $vmcmd -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
-fi

View File

@ -16,7 +16,7 @@ Epoch: 1
%global eclipse_micro 0
%global initialize 1
%global eb_commit 27d9371a79744f02da09de58db140256a6a9b9e7
%global eclipse_tag I20140511-2000
%global eclipse_tag I20140525-2000
%global eclipse_version %{eclipse_majmin}.%{eclipse_micro}
%global _jetty_version 9.1.3
@ -41,7 +41,7 @@ Epoch: 1
Summary: An open, extensible IDE
Name: %{?scl_prefix}eclipse
Version: %{eclipse_version}
Release: 0.22.git201405112000%{?dist}
Release: 0.23.git201405252000%{?dist}
License: EPL
Group: Development/Tools
URL: http://www.eclipse.org/
@ -987,6 +987,9 @@ fi
%{_libdir}/%{pkg_name}/plugins/org.eclipse.osgi.compatibility.state_*
%changelog
* Tue May 27 2014 Alexander Kurtakov <akurtako@redhat.com> 1:4.4.0-0.23.git201405252000
- Update to latest I-build.
* Fri May 23 2014 Alexander Kurtakov <akurtako@redhat.com> 1:4.4.0-0.22.git201405112000
- Rebuild for new lucene/junit metadata.

View File

@ -1,7 +1,7 @@
#!/bin/bash
set -e
AGGREGATOR_PATH=git://git.eclipse.org/gitroot/platform/eclipse.platform.releng.aggregator.git
TAG=I20140511-2000
TAG=I20140525-2000
rm -rf R4_platform-aggregator-$TAG
rm -rf R4_platform-aggregator-$TAG.tar.xz

View File

@ -1,2 +1,2 @@
46cf9e6db199f5f4e9c43885d4371882 R4_platform-aggregator-I20140511-2000.tar.xz
6e6b220b067ce4c6ed6e74d302f920c8 org.eclipse.linuxtools.eclipse-build-27d9371a79744f02da09de58db140256a6a9b9e7.tar.bz2
e6cfe01c0f3168c53b9971dc11a3cb97 R4_platform-aggregator-I20140525-2000.tar.xz